% Demonstrates how to run all the experiments.
% Note: Running it serially like this will take a long time. You can train all 5 category detectors in parallel, then run scene labeling on all 8 video sequences in parallel).
%

% Train category sliding window detectors
for c=1:5
   rgbdtrain(sprintf('%d',c));
end

% Run scene labeling
for s=1:8
   rgbdscenelabeling(sprintf('%d',s)); % Use detectors to generate probabilistic score maps
   rgbdvideotest(sprintf('%d',s)); % Stitch video sequence into 3D scene and label it
end

